<?php
error_reporting(0);
ini_set("display_errors",0);
add_action('admin_menu', 'lda_seo_admin_menu');
function lda_seo_admin_menu() {
	add_options_page('nTopic', 'nTopic', 'manage_options', 'lda-seo', 'lda_seo_settings_page');
}

add_action('admin_init','lda_seo_admin_init');
function lda_seo_admin_init() {
	register_setting('lda_seo_options', 'lda_seo_options', 'lda_seo_validate');	
	add_settings_section('lda_seo_general', '', 'lda_seo_section_text', 'lda-seo');
	add_settings_field('API key', 'API key', 'lda_seo_API_handler', 'lda-seo', 'lda_seo_general');
	
}

function lda_seo_section_text(){
}

function lda_seo_API_handler(){
	$options = get_option('lda_seo_options');
	echo '<input type="text" id="lda_seo_options_API" name="lda_seo_options[API]" value="'.$options[API].'">';
}

function lda_seo_settings_page() { ?>
    <div class="wrap">
		<h2>nTopic API Settings</h2>
		<form method="post" action="options.php" name="wp_auto_commenter_form">
			<?php settings_fields('lda_seo_options'); ?>
			<?php do_settings_sections('lda-seo'); ?>		
			<p class="submit">
				<input type="submit" name="Submit" class="button-primary" value="<?php esc_attr_e('Save Changes') ?>" />
			</p>
		</form>		
    </div>
<?php
}

function lda_seo_validate($input){
	return $input;
}
?>
